RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum

Specifies which character set marshaled strings are required to use.

This enumeration is used by the to indicate the required modifications to the arguments of an imported function.

See the class overview for an example that uses the enumeration.

- Field
  System.Runtime.InteropServices.CharSet Ansi

  Specifies that strings will be marshaled in the ANSI character set.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.CharSet Auto

  Specifies that strings will be automatically marshaled in the character set appropriate for the target system (either Unicode or ANSI).

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.CharSet None To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.CharSet Unicode

  Specifies that strings will be marshaled in the Unicode character set.

  To be added. 0 1.0.5000.0 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)